textures/lochnar/evil_HM_sky
{
	qer_editorimage env/lochnar/heavymetalsky_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 150
	q3map_sun 0.74902 1 1 100 75 58
	skyParms env/lochnar/heavymetalsky 128 -
	{
		map textures/skies/killsky_2.tga
		blendfunc add
		tcMod scroll 0.03 0.04
		tcMod scale 3 2
	}
}

textures/lochnar/KF_flag
{
	qer_editorimage textures/lochnar/killingfaith.tga
	surfaceparm nomarks
	cull disable
	deformVertexes wave 194 sin 0 3 0 0.4 
	tessSize 64
	{
		map textures/lochnar/killingfaith.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/sfx/shadow.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

textures/lochnar/PQ_flag
{
	qer_editorimage textures/lochnar/planetquake.tga
	surfaceparm nomarks
	cull disable
	deformVertexes wave 194 sin 0 3 0 0.4 
	tessSize 64
	{
		map textures/lochnar/planetquake.tga
		blendfunc blend
		rgbGen identity
		tcMod transform -1 0 0 1 0 0
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/sfx/shadow.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

textures/lochnar/TIKI_flag
{
	qer_editorimage textures/lochnar/tiki2q3chal.tga
	surfaceparm nomarks
	cull disable
	deformVertexes wave 194 sin 0 3 0 0.4 
	tessSize 64
	{
		map textures/lochnar/tiki2q3chal.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/sfx/shadow.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

textures/lochnar/evil_bounce_base
{
	qer_editorimage textures/lochnar/evil_jumppad_base_003.tga
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map textures/lochnar/evil_jumppad_base_004.tga
		rgbGen identity
	}
	{
		map textures/lochnar/evil_jumppad_base_003.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/lochnar/evil_jumppad_002.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.85 0 1.5 
	}
}

textures/lochnar/evil_launch_base
{
	qer_editorimage textures/lochnar/evil_launchpad_base_001.tga
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/lochnar/evil_launchpad_base_002.tga
		rgbGen identity
	}
	{
		map textures/lochnar/evil_launchpad_base_001.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
	{
		animmap 4 textures/sfx/launchpad_arrow2.tga textures/lochnar/evil_launchpad_arrow01.tga textures/lochnar/evil_launchpad_arrow02.tga textures/lochnar/evil_launchpad_arrow03.tga 
		blendfunc add
	}
}

textures/lochnar/evil_sky
{
	qer_editorimage textures/lochnar/green_001.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 512
	q3map_surfacelight 300
	q3map_sun 1 1 1 32 45 90
	{
		map textures/lochnar/green_001.tga
	}
}

textures/lochnar/evil_zap_scroll_500
{
	qer_editorimage textures/lochnar/evil_zap_scroll2.tga
	q3map_lightimage textures/lochnar/evil_zap_scroll2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	q3map_surfacelight 500
	{
		map textures/lochnar/evil_zap_scroll2.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 6.3 
		tcMod scale -1 1
		tcMod scroll 2 0.5
	}
	{
		map textures/lochnar/evil_zap_scroll2.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 7.7 
		tcMod scroll -1.3 0.5
	}
}

textures/lochnar/evilball
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull disable
	tessSize 32
	q3map_surfacelight 50
	q3map_globaltexture
	{
		map textures/liquids/slime7c.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
}

